Bug 225353 - devel/boost-libs: libboost_log_setup.so missing symbols
Summary: devel/boost-libs: libboost_log_setup.so missing symbols
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-office mailing list
URL:
Keywords:
Depends on:
Blocks: 225128
  Show dependency treegraph
 
Reported: 2018-01-21 11:13 UTC by Pawel Pekala
Modified: 2018-01-25 07:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (office)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Pekala freebsd_committer 2018-01-21 11:13:37 UTC
This issue shows on my test machine running 12-CURRENT. During linking phase of ports using boost libs I get this errors:

/usr/local/lib/libboost_log_setup.so: undefined reference to `_ZTIDs'
/usr/local/lib/libboost_log_setup.so: undefined reference to `_ZTIDi'

Building these ports on 10 and 11 in poudriere is just fine.
Comment 1 Jan Beich freebsd_committer 2018-01-21 20:01:22 UTC
See bug 214864 comment 100. This is LLD_BOOTSTRAP regression.
Comment 2 Pawel Pekala freebsd_committer 2018-01-23 16:38:12 UTC
Confirmed. Linking is fixed on system rebuilt with WITHOUT_LLD_BOOTSTRAP.